Commit e47dac26 authored by Philipp Hörist's avatar Philipp Hörist

[indicator] Switch to AyatanaAppIndicator3

parent 483ba808
......@@ -8,27 +8,22 @@ Rewriten from Ubuntu Ayatana Integration plugin
:license: GPLv3
"""
import os
import time
import gi
from gi.repository import Gtk, GLib, Gdk
try:
gi.require_version('AppIndicator3', '0.1')
from gi.repository import AppIndicator3 as appindicator
gi.require_version('AyatanaAppIndicator3', '0.1')
from gi.repository import AyatanaAppIndicator3 as appindicator
ERRORMSG = None
except (ValueError, ImportError):
ERRORMSG = _('Please install libappindicator3')
# Gajim
from gajim.common import app, ged
from gajim.common import configpaths
from gajim.plugins import GajimPlugin
from gajim.plugins.gajimplugin import GajimPluginException
from gajim.plugins.helpers import log_calls
from gajim import gtkgui_helpers
class AppindicatorIntegrationPlugin(GajimPlugin):
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment